Bug 996780 - Rename Request: python-astroid - Python Abstract Syntax Tree New Generation
Rename Request: python-astroid - Python Abstract Syntax Tree New Generation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 19:15 EDT by Brian Lane
Modified: 2014-10-16 07:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-astroid-1.0.0-5.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-03 00:30:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brian Lane 2013-08-13 19:15:10 EDT
Spec URL: http://bcl.fedorapeople.org/python-astroid/python-astroid.spec
SRPM URL: http://bcl.fedorapeople.org/python-astroid/python-astroid-1.0.0-1.fc19.src.rpm
Description: The aim of this module is to provide a common base representation of
python source code for projects such as pychecker, pyreverse,
pylint, and others. It extends the class defined in the compiler.ast
python module with some additional methods and attributes.
Fedora Account System Username: bcl

The python-logilab-astng package has been renamed by upstream to astroid. See the name change documentation here:

https://fedoraproject.org/wiki/Package_Renaming_Process
Comment 1 Christopher Meng 2013-08-13 23:48:16 EDT
Are you going to take care EL5?

And, is the encoding mistake fixed by upstream now?
Comment 2 Brian Lane 2013-08-14 11:34:56 EDT
I haven't looked, but I doubt that back-porting this to EL5 is worth any effort. I'm planning on f18, f19 and rawhide since they're all using python 2.7.X
Comment 3 Christopher Meng 2013-08-14 22:54:48 EDT
So if you don't have interest with EL5, please remove:

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

(In reply to Brian C. Lane from comment #2)
> I haven't looked

Please look.
Comment 4 Brian Lane 2013-08-15 14:29:40 EDT
(In reply to Christopher Meng from comment #3)
> So if you don't have interest with EL5, please remove:
> 
> BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u}
> -n)

Will do, newer pylint won't work on EL5, it uses newer python features like yield :)

Any other comments before I update the srpm?
Comment 5 Christopher Meng 2013-08-15 22:57:30 EDT
No...

APPROVED.
Comment 6 Christopher Meng 2013-08-15 22:58:57 EDT
REMEMBER TO CLEANUP OLD STUFFS BEFORE SCM ACTION.
Comment 7 Brian Lane 2013-08-16 13:17:22 EDT
New Package SCM Request
=======================
Package Name: python-astroid
Short Description: Python Abstract Syntax Tree New Generation
Owners: bcl, mrunge
Branches: f18, f19
InitialCC:
Comment 8 Gwyn Ciesla 2013-08-16 14:02:51 EDT
Git done (by process-git-requests).
Comment 9 Christopher Meng 2013-09-05 23:09:52 EDT
Please remember to close it.
Comment 10 Michael Schwendt 2013-09-16 11:18:53 EDT
The renaming process has not been followed and has not been completed yet:
https://fedoraproject.org/wiki/Package_Renaming_Process

Christopher,
| 
| The reviewer of the package MUST explicitly acknowledge this fact,
| and check the package for the proper Obsoletes and Provides (see the
| naming guidelines for more information.) They MUST document in the
| review request that they have done so. 

This has not been done. And the package contains a non-versioned

  Obsoletes:      python-logilab-astng

which doesn't adhere to the guidelines (versioned Obsoletes make it much easier to reintroduce/rename a package again):
https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages

The python-logilab-astng has not been retired yet:
https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life
Comment 11 Fedora Update System 2013-09-17 21:17:40 EDT
python-astroid-1.0.0-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-astroid-1.0.0-5.fc19
Comment 12 Fedora Update System 2013-09-17 21:19:34 EDT
python-astroid-1.0.0-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-astroid-1.0.0-5.fc20
Comment 13 Michael Schwendt 2013-09-18 04:51:37 EDT
> Obsoletes: python-logilab-astng <= 0.24.1-3

"less than or equal" doesn't add any benefit, because no release is -3 when the dist tag is appended.

# yum list python-logilab-astng|grep ^p
python-logilab-astng.noarch                 0.24.1-3.fc20                 fedora

More correct would be "Obsoletes: python-logilab-astng < 0.24.1-3", provided that the last published build -3.fc20 for Fedora 20 gets pulled when retiring this package. Else the Obsoletes tag would need to become "< 0.24.1-4".

Please do run "fedpkg retire python-logilab-astng" in git master and f20 branch.
Comment 14 Fedora Update System 2013-09-18 09:09:14 EDT
Package python-astroid-1.0.0-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-astroid-1.0.0-5.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17049/python-astroid-1.0.0-5.fc19
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2013-11-03 00:30:46 EDT
python-astroid-1.0.0-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-11-10 01:14:23 EST
python-astroid-1.0.0-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Brian Lane 2014-10-15 20:34:44 EDT
Package Change Request
======================
Package Name: python-astroid
New Branches: el6
Owners: bcl mrunge

Please branch it from master.
Comment 18 Gwyn Ciesla 2014-10-16 07:46:41 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.